RedirectRegexRule (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.rewrite.handler

## Class RedirectRegexRule

- java.lang.Object
- - org.eclipse.jetty.rewrite.handler.Rule
  - - org.eclipse.jetty.rewrite.handler.RegexRule
    - - org.eclipse.jetty.rewrite.handler.RedirectRegexRule

-     public class RedirectRegexRule
      extends RegexRule

  Redirects the response by matching with a regular expression. The replacement string may use $n" to replace the nth capture group.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.rewrite.handler.Rule

      `Rule.ApplyURI`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.rewrite.handler.RegexRule

      `_regex`

    - ### Fields inherited from class org.eclipse.jetty.rewrite.handler.Rule

      `_handling, _terminating`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedirectRegexRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `apply(String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Matcher matcher)` Apply this rule to the request/response pair.
    `void` | `setReplacement(String replacement)` Whenever a match is found, it replaces with this value.

    - ### Methods inherited from class org.eclipse.jetty.rewrite.handler.RegexRule

      `getRegex, matchAndApply, setRegex, toString`

    - ### Methods inherited from class org.eclipse.jetty.rewrite.handler.Rule

      `isHandling, isTerminating, setHandling, setTerminating`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RedirectRegexRule

          public RedirectRegexRule()

  - ### Method Detail

    - #### setReplacement

          public void setReplacement(String replacement)

      Whenever a match is found, it replaces with this value.
      Parameters:
        `replacement` - the replacement string.

    - #### apply

          protected String apply(String target,
                     javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response,
                     Matcher matcher)
                          throws IOException

      Description copied from class: `RegexRule`
      Apply this rule to the request/response pair. Called by `RegexRule.matchAndApply(String, HttpServletRequest, HttpServletResponse)` if the regex matches.
      Specified by:
        `apply` in class `RegexRule`
      Parameters:
        `target` - field to attempt match
        `request` - request object
        `response` - response object
        `matcher` - The Regex matcher that matched the request (with capture groups available for replacement).
      Returns:
        The target (possible updated).
      Throws:
        `IOException` - exceptions dealing with operating on request or response objects

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.